
Redmine - Feature #11316

Automatic update of related issues

2012-07-04 08:55 - Michał Chełmiński

Status: Reopened Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid   

Description

I am looking for a solution that would allow to create a relationships between the issues that would update the one of the issues

automatically.

For example. We have a issue A and issue B. These issues are connected with a proper relationship(but but I am not concerned

about duplicated by, because it will only close one of the issues). Now if I change any property of a issue A such as progress bar

%Done or Priority or Due date or start date or status, issue B  will automatically change. And vice versa

I am working on a Redmine version 2.0.1

I'll be very grateful for Your help.

Related issues:

Related to Redmine - Patch #17947: Mirror relation New

Has duplicate Redmine - Feature #11613: Mirror issues Closed

History

#1 - 2012-07-04 10:02 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

This is already available via issues follows/recedes relationship type, please read RedmineIssues#Related-issues and issue subtasking

(documentation at RedmineIssues#Subtasks is not accurate about this feature).

#2 - 2012-07-04 10:25 - Michał Chełmiński

- Status changed from Closed to Reopened

I know that this is possible in one project. I thought about the connections between issues in different projects?

#3 - 2012-07-04 10:29 - Michał Chełmiński

Michał Chełmiński wrote:

I know that this is possible in one project. I thought about the connections between issues in different projects?

 After changing anything in the issue A, Issue B(but issue B is not a subtask is a issue i another project or sub-project) is automatically updated at the

same way.

#4 - 2012-08-09 23:29 - Jean-Philippe Lang

- Subject changed from Automatic update of issues to Automatic update of related issues

- Priority changed from High to Normal

#5 - 2012-09-26 14:44 - Jim McAleer

+1 - This is definitely needed!

#6 - 2012-10-26 15:00 - Anthony BOUQUET

+1 - Needed too as we are on a company which differenciate products and projects.
https://www.redmine.org/projects/redmine/wiki/RedmineIssues#Related-issues
https://www.redmine.org/projects/redmine/wiki/RedmineIssues#Subtasks


Example :

One project manager declare a bug in his project but this bug is related to one product (which is an other "project" in redmine with SCM, wiki etc.)

We would like to create directly a ticket in the product part with more technical informations and when this ticket is closed it can unblock ticket created

in project so as the project manager can see that his defect is resolved.

For now this only thing we can do is to go directly on the product, create a ticket and assign a link to the first ticket keeping his number in our memory

and can lead to a mis-linking configuration.

#7 - 2014-10-24 12:47 - Toshi MARUYAMA

- Related to Patch #17947: Mirror relation added

#8 - 2016-05-02 09:48 - Inese Ez

+1

#9 - 2019-04-29 16:30 - Thomas Feher

+1 same use-case as in comment 6
